﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace SortedColumnsValueList
{
    public partial class Form1 : Form
    {
        public enum MyEnum
        {
            a = 60,
            b = 50,
            c = 10,
            d = 30,
            e = 20,
            f = 40,
       }
        

        public Form1()
        {
            InitializeComponent();

            DataTable MyTable = new DataTable();
            MyTable.Columns.Add("Column A", typeof(String));
            MyTable.Columns.Add("Column B", typeof(Int32));
            MyTable.Columns.Add("Column C", typeof(MyEnum));

            MyTable.Rows.Add("a", 60, MyEnum.a);
            MyTable.Rows.Add("b", 50, MyEnum.b);
            MyTable.Rows.Add("c", 10, MyEnum.c);
            MyTable.Rows.Add("d", 30, MyEnum.d);
            MyTable.Rows.Add("e", 20, MyEnum.e);
            MyTable.Rows.Add("f", 40, MyEnum.f);

            ultraGrid1.DataSource =  MyTable;
            ultraGrid1.DisplayLayout.Bands[0].Columns["Column A"].SortIndicator = Infragistics.Win.UltraWinGrid.SortIndicator.Ascending;

        }

    }
}
